summaryrefslogtreecommitdiff
path: root/localedata/tst-fmon.sh
diff options
context:
space:
mode:
Diffstat (limited to 'localedata/tst-fmon.sh')
-rwxr-xr-xlocaledata/tst-fmon.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/localedata/tst-fmon.sh b/localedata/tst-fmon.sh
new file mode 100755
index 0000000000..cac9917ff5
--- /dev/null
+++ b/localedata/tst-fmon.sh
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+common_objpfx=$1; shift
+lang=$*
+
+here=`pwd`
+
+# Generate data files.
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+ cn=locales/$cns
+ fn=charmaps/`echo $l | sed 's/.*[.]\([^.]*\)/\1/'`
+ LD_LIBRARY_PATH=$common_objpfx I18NPATH=./locales ${common_objpfx}elf/ld.so \
+ ${common_objpfx}locale/localedef --quiet -i $cn -f $fn \
+ ${common_objpfx}localedata/$cns
+done
+
+# Run the tests.
+for l in $lang; do
+ cns=`echo $l | sed 's/\(.*\)[.][^.]*/\1/'`
+
+ LOCPATH=$common_objpfx/localedata LC_ALL=$cns \
+ LD_LIBRARY_PATH=$common_objpfx $common_objpfx/elf/ld.so \
+ $common_objpfx/localedata/tst-fmon \
+ > $common_objpfx/localedata/fmon-$cns.out || status=1
+ cmp -s fmon-$cns.exp $common_objpfx/localedata/fmon-$cns.out || status=1
+done
+
+exit $status
+# Local Variables:
+# mode:shell-script
+# End: